package com.ruoyi.system.mapper;

import com.ruoyi.system.entity.DragTableStyle;

import java.util.List;

/**
 * 动态格样式Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-03
 */
public interface DragTableStyleMapper 
{
    /**
     * 查询动态格样式
     * 
     * @param id 动态格样式主键
     * @return 动态格样式
     */
    DragTableStyle selectDragTableStyleById(Long id);

    /**
     * 查询动态格样式列表
     * 
     * @param dragTableStyle 动态格样式
     * @return 动态格样式集合
     */
    List<DragTableStyle> selectDragTableStyleList(DragTableStyle dragTableStyle);

    /**
     * 批量新增动态格样式
     * 
     * @param dragTableStyleList 动态格样式
     * @return 结果
     */
    int batchInsertDragTableStyle(List<DragTableStyle> dragTableStyleList);

    /**
     * 批量修改动态格样式
     * 
     * @param dragTableStyle 动态格样式
     * @return 结果
     */
    int updateDragTableStyle(DragTableStyle dragTableStyle);

    /**
     * 删除动态格样式
     * 
     * @param tableKeys 动态格样式主键
     * @return 结果
     */
    int deleteDragTableStyleByTableKeys(List<String> tableKeys);

    /**
     * 批量删除动态格样式
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteDragTableStyleByIds(List<Long> ids);

    /**
     * 根据tableKey查询动态表格样式编号
     */
    List<Long> selectIdByTableKey(String tableKey);
}
